--AH:ScriptId=668c7886-c2f0-434c-8bec-f36622cab1c6;42
ALTER TABLE [ConfigurationFileInstances]
  ADD [Template_Indicator] YNINDICATOR NOT NULL
        CONSTRAINT [DF__ConfigurationFileInstances__Template_Indicator] DEFAULT ('N'),

      [Template_Instance_Name] VARCHAR(100) NULL,
        CONSTRAINT [FK__ConfigurationFileInstances__Template_Instance_Name]
        FOREIGN KEY ([ConfigurationFile_Id],[Template_Instance_Name])
        REFERENCES [ConfigurationFileInstances] ([ConfigurationFile_Id],[Instance_Name]),

      CONSTRAINT [CK__ConfigurationFileInstances__Template_Instance_Name_Validity]
           CHECK 
           (  
                ([Template_Instance_Name] IS NULL OR [Template_Instance_Name] <> [Instance_Name])
                AND
                ([Template_Indicator] = 'N' OR ([Template_Indicator] = 'Y' AND [Template_Instance_Name] IS NULL))
            )  

ALTER TABLE [ConfigurationFileInstances]
 DROP CONSTRAINT [DF__ConfigurationFileInstances__Template_Indicator]