--AH:ScriptId=41d3eb74-af80-462e-9c61-53ea2e6cf764;3005

UPDATE [Environments]
   SET [Environment_Name] = 
                (SELECT TOP 1 [Environment_Name] 
                    FROM (SELECT [Environment_Name] = ('Build' + CAST([Number] AS VARCHAR(20))), [Number] FROM [Numbers] WHERE [Number] > 0) E 
                    WHERE NOT EXISTS(SELECT * FROM [Environments] E2 WHERE E2.[Environment_Name] = E.[Environment_Name]) 
                    ORDER BY [Number])
WHERE [Environment_Name] = 'Build'

GO

INSERT [Environments] ([Environment_Name], [CreatedBy_User_Name], [CreatedOn_Date], [ModifiedBy_User_Name], [ModifiedOn_Date], [Active_Indicator], [Display_Sequence])
SELECT 'Build', 
       'SYSTEM', GETUTCDATE(), 
       'SYSTEM', GETUTCDATE(), 
       'Y', 
       (SELECT COALESCE(MAX([Display_Sequence]), 0) + 1 FROM [Environments])
GO