EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'Credentials_DeleteCredential',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataRow',
    /* DataTableNames_Csv      */ 'Credentials_Extended',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets the specified credential.'
GO


IF OBJECT_ID('[Credentials_DeleteCredential]') IS NOT NULL DROP PROCEDURE [Credentials_DeleteCredential]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Credentials_DeleteCredential]
(
    @Credential_Id INT
)
AS
BEGIN

	SET NOCOUNT ON

	DELETE [Credentials]
     WHERE [Credential_Id] = @Credential_Id

END
GO

GRANT EXECUTE ON [Credentials_DeleteCredential] TO [BuildMasterUser_Role]