EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'ExtensionConfiguration_GetConfigurationById',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataRow',
    /* DataTableNames_Csv      */ 'ExtensionConfigurations',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets the details of an extension configurer for extension with the specified ID'
GO

IF OBJECT_ID('[ExtensionConfiguration_GetConfigurationById]') IS NOT NULL DROP PROCEDURE [ExtensionConfiguration_GetConfigurationById]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [ExtensionConfiguration_GetConfigurationById] 
(
	@ExtensionConfiguration_Id INT
)
AS
BEGIN

SET NOCOUNT ON

	SELECT * FROM [ExtensionConfigurations]
	 WHERE [ExtensionConfiguration_Id]  = @ExtensionConfiguration_Id 

END
GO

GRANT EXECUTE ON [ExtensionConfiguration_GetConfigurationById] TO [BuildMasterUser_Role]
GO