--AH:ScriptId=9e6fcf2f-cb4b-4ba3-ac21-ba40d717b865;295
BEGIN TRY
BEGIN TRANSACTION

    ALTER TABLE EventOccurenceDetails NOCHECK CONSTRAINT FK__EventOccurences__EventTypeDetails
    ALTER TABLE EventTypeDetails NOCHECK CONSTRAINT FK__EventTypeDetails__EventTypes
    ALTER TABLE EventOccurences NOCHECK CONSTRAINT FK__EventOccurences__EventTypes
    ALTER TABLE NotifierEventCodes NOCHECK CONSTRAINT FK__NotifierEventCodes__EventTypes

    UPDATE EventTypes SET Event_Code = 'APPDLD' WHERE Event_Code = 'APPDLS'
    UPDATE EventTypeDetails SET Event_Code = 'APPDLD' WHERE Event_Code = 'APPDLS'
    UPDATE EventOccurences SET Event_Code = 'APPDLD' WHERE Event_Code = 'APPDLS'
    UPDATE EventOccurenceDetails SET Event_Code = 'APPDLD' WHERE Event_Code = 'APPDLS'
    UPDATE NotifierEventCodes SET Event_Code = 'APPDLD' WHERE Event_Code = 'APPDLS'

    UPDATE EventTypes SET Event_Code = 'APPMDD' WHERE Event_Code = 'APPMDS'
    UPDATE EventTypeDetails SET Event_Code = 'APPMDD' WHERE Event_Code = 'APPMDS'
    UPDATE EventOccurences SET Event_Code = 'APPMDD' WHERE Event_Code = 'APPMDS'
    UPDATE EventOccurenceDetails SET Event_Code = 'APPMDD' WHERE Event_Code = 'APPMDS'
    UPDATE NotifierEventCodes SET Event_Code = 'APPMDD' WHERE Event_Code = 'APPMDS'

    UPDATE EventTypes SET Event_Code = 'APPNWD' WHERE Event_Code = 'APPNWS'
    UPDATE EventTypeDetails SET Event_Code = 'APPNWD' WHERE Event_Code = 'APPNWS'
    UPDATE EventOccurences SET Event_Code = 'APPNWD' WHERE Event_Code = 'APPNWS'
    UPDATE EventOccurenceDetails SET Event_Code = 'APPNWD' WHERE Event_Code = 'APPNWS'
    UPDATE NotifierEventCodes SET Event_Code = 'APPNWD' WHERE Event_Code = 'APPNWS'

    UPDATE EventTypes
       SET Event_Description = REPLACE(Event_Description, 'Solution', 'Deployable')
     WHERE Event_Description LIKE '%Solution%'
     
    UPDATE EventTypeDetails
       SET Detail_Name = REPLACE(Detail_Name, 'Solution', 'Deployable')
     WHERE Detail_Name LIKE '%Solution%' 
     
    UPDATE EventOccurenceDetails
       SET Detail_Name = REPLACE(Detail_Name, 'Solution', 'Deployable')
     WHERE Detail_Name LIKE '%Solution%'  

    ALTER TABLE EventOccurenceDetails CHECK CONSTRAINT FK__EventOccurences__EventTypeDetails
    ALTER TABLE EventTypeDetails CHECK CONSTRAINT FK__EventTypeDetails__EventTypes
    ALTER TABLE EventOccurences CHECK CONSTRAINT FK__EventOccurences__EventTypes
    ALTER TABLE NotifierEventCodes CHECK CONSTRAINT FK__NotifierEventCodes__EventTypes

COMMIT

END TRY
BEGIN CATCH
    
    ROLLBACK
    
    DECLARE @ErrorMessage NVARCHAR(4000);
    DECLARE @ErrorSeverity INT;
    DECLARE @ErrorState INT;

    SELECT 
        @ErrorMessage = ERROR_MESSAGE(),
        @ErrorSeverity = ERROR_SEVERITY(),
        @ErrorState = ERROR_STATE();

    RAISERROR (@ErrorMessage, -- Message text.
               @ErrorSeverity, -- Severity.
               @ErrorState -- State.
               );

END CATCH 