--AH:ScriptId=aa576678-978b-40d4-b00d-d680b091d986;574
ALTER TABLE [BuildExecutions]
 ADD [ExecutionEnded_Date] DATETIME NULL,
	 [WarningLogEntry_Indicator] YNINDICATOR NULL
GO

SET TRANSACTION ISOLATION LEVEL READ UNCOMMITTED
GO

UPDATE [BuildExecutions] 
   SET [ExecutionEnded_Date] = (
		SELECT MAX([ExecutionEnded_Date])
		  FROM [BuildExecution_PlanActions] _BEPA
		 WHERE _BEPA.[Execution_Id] = BE.[Execution_Id])
  FROM [BuildExecutions] BE 
GO

UPDATE [BuildExecutions]
   SET [WarningLogEntry_Indicator] = (
		SELECT CASE WHEN EXISTS (
			SELECT *
			  FROM [BuildExecution_PlanActionLogEntries] _BEPALA
		INNER JOIN [BuildExecution_PlanActions] _BEPA
				ON _BEPA.[BuildExecution_PlanAction_Id] = _BEPALA.[BuildExecution_PlanAction_Id]
			 WHERE _BEPA.[Execution_Id] = BE.[Execution_Id]
			   AND [LogEntry_Level] BETWEEN 20 AND 29)
		  THEN 'Y'
		  ELSE 'N' 
		END)
FROM [BuildExecutions] BE
GO

ALTER TABLE [BuildExecutions]
 ALTER COLUMN [WarningLogEntry_Indicator] YNINDICATOR NOT NULL
GO