--AH:ScriptId=543A6D96-C36A-40D0-900C-0AAB0E1E8AFD

CREATE TABLE [Webhooks]
(
	[Webhook_Id] INT IDENTITY(1, 1) NOT NULL,
	[Webhook_Name] NVARCHAR(255) NOT NULL,
	[Application_Id] INT NULL,
	[ApplicationGroup_Id] INT NULL,
	[Webhook_Configuration] XML NOT NULL,
	[Active_Indicator] YNINDICATOR NOT NULL,
	[Plan_Name] VARCHAR(255) NULL,

	CONSTRAINT [PK__Webhooks]
		PRIMARY KEY ([Webhook_Id]),

	CONSTRAINT [FK__Webhooks__Applications]
		FOREIGN KEY ([Application_Id])
		REFERENCES [Applications] ([Application_Id])
		ON DELETE CASCADE,

	CONSTRAINT [FK__Webhooks_ApplicationGroups]
		FOREIGN KEY ([ApplicationGroup_Id])
		REFERENCES [ApplicationGroups] ([ApplicationGroup_Id])
		ON DELETE CASCADE,

	CONSTRAINT [UQ__Webhooks]
		UNIQUE ([Webhook_Name])
)