IF OBJECT_ID('[Applications_Slim]') IS NOT NULL
	DROP VIEW [Applications_Slim]
GO

CREATE VIEW [Applications_Slim]
AS

	SELECT A.[Application_Id],
		   A.[Application_Name],
           A.[ApplicationGroup_Id],
		   AG.[ApplicationGroup_Name],
           A.[Active_Indicator],
           AG.[Parent_ApplicationGroup_Id]

	  FROM [Applications] A
 LEFT JOIN [ApplicationGroups] AG
        ON A.[ApplicationGroup_Id] = AG.[ApplicationGroup_Id]